CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2008-5720

Cross-site scripting (XSS) vulnerability in Mayaa before 1.1.23 allows remote attackers to inject arbitrary web script or HTML via unspecified vectors involving the default error page for the org.seasar.mayaa.impl.engine.PageNotFoundException exception and possibly other exceptions.
Publish Date : 2008-12-26 Last Update Date : 2017-08-07
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.3
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Cross Site Scripting
CWE ID 79

- Products Affected By CVE-2008-5720

# Product Type Vendor Product Version Update Edition Language
1 Application Seasar Mayaa 0.1.0 Version Details Vulnerabilities
2 Application Seasar Mayaa 0.1.0f Version Details Vulnerabilities
3 Application Seasar Mayaa 0.1.1 Version Details Vulnerabilities
4 Application Seasar Mayaa 0.1.2 Version Details Vulnerabilities
5 Application Seasar Mayaa 0.1.3 Version Details Vulnerabilities
6 Application Seasar Mayaa 0.2.0 Version Details Vulnerabilities
7 Application Seasar Mayaa 0.3.0 Version Details Vulnerabilities
8 Application Seasar Mayaa 0.4.0 Version Details Vulnerabilities
9 Application Seasar Mayaa 0.9.0 Version Details Vulnerabilities
10 Application Seasar Mayaa 0.9.1 Version Details Vulnerabilities
11 Application Seasar Mayaa 0.9.2 Version Details Vulnerabilities
12 Application Seasar Mayaa 0.9.3 Version Details Vulnerabilities
13 Application Seasar Mayaa 0.9.4 Version Details Vulnerabilities
14 Application Seasar Mayaa 0.9.5 Version Details Vulnerabilities
15 Application Seasar Mayaa 0.9.6 Version Details Vulnerabilities
16 Application Seasar Mayaa 0.9.7 Version Details Vulnerabilities
17 Application Seasar Mayaa 0.9.7.1 Version Details Vulnerabilities
18 Application Seasar Mayaa 0.9.8 Version Details Vulnerabilities
19 Application Seasar Mayaa 0.9.9 Version Details Vulnerabilities
20 Application Seasar Mayaa 0.9.10 Version Details Vulnerabilities
21 Application Seasar Mayaa 0.9.11 Version Details Vulnerabilities
22 Application Seasar Mayaa 0.9.12 Version Details Vulnerabilities
23 Application Seasar Mayaa 0.9.13 Version Details Vulnerabilities
24 Application Seasar Mayaa 0.9.14 Version Details Vulnerabilities
25 Application Seasar Mayaa 0.9.15 Version Details Vulnerabilities
26 Application Seasar Mayaa 0.9.16 Version Details Vulnerabilities
27 Application Seasar Mayaa 0.9.17 Version Details Vulnerabilities
28 Application Seasar Mayaa 0.9.18 Version Details Vulnerabilities
29 Application Seasar Mayaa 0.9.19 Version Details Vulnerabilities
30 Application Seasar Mayaa 0.9.20a Version Details Vulnerabilities
31 Application Seasar Mayaa 0.9.20 Version Details Vulnerabilities
32 Application Seasar Mayaa 1.0.0 Version Details Vulnerabilities
33 Application Seasar Mayaa 1.0.0 RC1 Version Details Vulnerabilities
34 Application Seasar Mayaa 1.0.0 Beta3 Version Details Vulnerabilities
35 Application Seasar Mayaa 1.0.0 Beta2 Version Details Vulnerabilities
36 Application Seasar Mayaa 1.0.0 Beta1 Version Details Vulnerabilities
37 Application Seasar Mayaa 1.0.1 Version Details Vulnerabilities
38 Application Seasar Mayaa 1.0.2 Version Details Vulnerabilities
39 Application Seasar Mayaa 1.0.3 Version Details Vulnerabilities
40 Application Seasar Mayaa 1.1.0 Beta3 Version Details Vulnerabilities
41 Application Seasar Mayaa 1.1.0 Beta2 Version Details Vulnerabilities
42 Application Seasar Mayaa 1.1.0 Version Details Vulnerabilities
43 Application Seasar Mayaa 1.1.0 Beta1 Version Details Vulnerabilities
44 Application Seasar Mayaa 1.1.0 Beta6 Version Details Vulnerabilities
45 Application Seasar Mayaa 1.1.0 Beta5 Version Details Vulnerabilities
46 Application Seasar Mayaa 1.1.0 Beta4 Version Details Vulnerabilities
47 Application Seasar Mayaa 1.1.1 Version Details Vulnerabilities
48 Application Seasar Mayaa 1.1.2 Version Details Vulnerabilities
49 Application Seasar Mayaa 1.1.3 Version Details Vulnerabilities
50 Application Seasar Mayaa 1.1.4 Version Details Vulnerabilities
51 Application Seasar Mayaa 1.1.5 Version Details Vulnerabilities
52 Application Seasar Mayaa 1.1.6 Version Details Vulnerabilities
53 Application Seasar Mayaa 1.1.7 Version Details Vulnerabilities
54 Application Seasar Mayaa 1.1.8 Version Details Vulnerabilities
55 Application Seasar Mayaa 1.1.9 Version Details Vulnerabilities
56 Application Seasar Mayaa 1.1.10 Version Details Vulnerabilities
57 Application Seasar Mayaa 1.1.11 Version Details Vulnerabilities
58 Application Seasar Mayaa 1.1.12 Version Details Vulnerabilities
59 Application Seasar Mayaa 1.1.13 Version Details Vulnerabilities
60 Application Seasar Mayaa 1.1.14 Version Details Vulnerabilities
61 Application Seasar Mayaa 1.1.15 Version Details Vulnerabilities
62 Application Seasar Mayaa 1.1.16 Version Details Vulnerabilities
63 Application Seasar Mayaa 1.1.17 Version Details Vulnerabilities
64 Application Seasar Mayaa 1.1.18 Version Details Vulnerabilities
65 Application Seasar Mayaa 1.1.19 Version Details Vulnerabilities
66 Application Seasar Mayaa 1.1.20 Version Details Vulnerabilities
67 Application Seasar Mayaa 1.1.21 Version Details Vulnerabilities
68 Application Seasar Mayaa 1.1.22 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Seasar Mayaa 68

- References For CVE-2008-5720

https://exchange.xforce.ibmcloud.com/vulnerabilities/47623
XF mayaa-errorpage-xss(47623)
http://www.securityfocus.com/bid/33015
BID 33015 Mayaa Default Error Page Cross-Site Scripting Vulnerability Release Date:2008-12-31
http://jvndb.jvn.jp/en/contents/2008/JVNDB-2008-000085.html
JVNDB JVNDB-2008-000085
http://mayaa.seasar.org/news/vulnerability20081225.html CONFIRM
http://jvn.jp/en/jp/JVN17298485/index.html
JVN JVN#17298485

- Metasploit Modules Related To CVE-2008-5720

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.